# pqxx::data_exception Class Reference
[Exception classes]

Error in data provided to SQL statement. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::data_exception:

[legend]

List of all members.

## Public Member Functions
| data_exception (const std::string &err)
| data_exception (const std::string &err, const std::string &Q)

## Detailed Description

Error in data provided to SQL statement.

## Constructor & Destructor Documentation

pqxx::data_exception::data_exception | ( | const std::string & | err | ) | `[explicit]`

pqxx::data_exception::data_exception | ( | const std::string & | err,
|  | const std::string & | Q |
| ) |  |  |

The documentation for this class was generated from the following file:

- except.hxx